"""
   Rapid identification of taxonomic assignments (RITA)
   This program executes and combines the results of several BLAST algorithms and
   the Naive Bayes algorithm.  Sequences that are classified early in the pipeline
   are not executed with later algorithms, saving runtime.
   
   This work has been submitted for publication:
   MacDonald Norman J, Parks Donovan H, and Beiko Robert G.  Rapid identification
   of taxonomic assignments. Submitted 2011.
   
   If you have any questions or bug reports, please let us know at <beiko@cs.dal.ca>.
   
   This program depends on the installation of the Fragment Classification Package
   (available at http://kiwi.cs.dal.ca/Software_main)

    These are a few application wide settings
   
"""


# Computer/filename friendly to human friendly mappings
LABELLER_NICENAMES       = {'NB_DCMEGABLAST':'NB and D-BLASTN',
                            'NB_BLASTN':'NB and BLASTN',
                            'NB_BLASTX':'NB and BLASTX',
                            'NB_UBLASTX':'NB and UBLASTX',
                            'DCMEGABLAST_RATIO':'D-BLASTN ratio',
                            'BLASTN_RATIO':'BLASTN ratio',
                            'BLASTX_RATIO':'BLASTX ratio',
                            'UBLASTX_RATIO':'UBLASTX ratio',
                            'NB_RATIO':'NB ratio'
                            }

CLASSIFIER_NICENAMES     = {'NB':'NB',
                            'BLASTN':'BLASTN',
                            'BLASTX':'BLASTX',
                            'UBLASTX':'UBLASTX',
                            'DCMEGABLAST':'D-BLASTN'
                            }

RITA_VERSION              = "1.1.0"


